

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    font-family: 'Poppins', sans-serif;
}

html {
    font-size: 62.5%;
}

body {
    width: 100%;
    height: 100vh;
    background-color: #d0e670;
    color: #000000;
}


header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1rem 5%;
    background-color: #365E32;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo {
    font-size: 3rem;
    color: #91aa8c;
    font-weight: 800;
    cursor: pointer;
    transition: 0.5s ease;
}

.logo:hover {
    transform: scale(1.1);
}

nav {
    display: flex;
    align-items: center;
    gap: 2rem;
}

nav a {
    font-size: 1.8rem;
    color: white;
    font-weight: 500;
    transition: 0.3s ease;
    border-bottom: 3px solid transparent;
}

nav a:hover,
nav a.active {
    color: #91aa8c;
    border-bottom: 3px solid #91aa8c;
}

section {
    padding: 5rem 5%;
    margin-top: 10rem; 
}
.home {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8rem;
    flex-wrap: wrap; 
}

.home-content h1 {
    font-size: 6rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content h3 {
    font-size: 4rem;
    margin-bottom: 1rem;
    font-weight: 700;
}

.home-content p {
    font-size: 1.6rem;
}

.home-img img {
    width: 45vw; 
    max-width: 400px; 
    border-radius: 50%;
    box-shadow: 0 0 25px #201f1d;
    transition: 0.2s linear;
    pointer-events: none; 
}

.home-img img:hover {
    transform: scale(1.05);
}


.profile-img {
    display: flex;
    justify-content: center;
    margin-bottom: 2rem;
}

.profile-img img {
    width: 16vw;
    max-width: 200px;
    border-radius: 25%;
    box-shadow: 0 0 25px #201f1d;
    margin: auto;
    transition: 0.2s linear;
}

.profile-img img:hover {
    transform: scale(1.05);
}

/* Typing Text */
.typing-text {
    font-size: 3.4vw;
    font-weight: 600;
    min-width: 28vw;
}

.typing-text span::before {
    content: "software Developer";
    color: #365E32;
    animation: words 20s infinite;
}

.typing-text span::after {
    content: "";
    background-color: transparent;
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    border-left: 3px solid transparent;
    right: -8px;
    animation: cursor 0.6s infinite;
}

@keyframes cursor {
    to {
        border-left: 3px solid #365E32;
    }
}

@keyframes words {
    0%, 20% {
        content: "Web Developer";
    }
    21%, 40% {
        content: "Developer";
    }
    41%, 60% {
        content: "Web Designer";
    }
    61%, 80% {
        content: "Programmer";
    }
}


.profile {
    background-color: #E7F0DC;
    padding: 3rem;
    border-radius: 2rem;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    margin: 30rem auto 30rem;
    max-width: 800px;
    text-align: center;
}

.profile h1 {
    font-size: 6rem;
    font-weight: 700;
    margin-top: 1rem;
    margin-bottom: 2rem;
    color: #365E32;
}

.profile p {
    font-size: 1.8rem;
    line-height: 1.6;
    margin-bottom: 1rem;
    color: #333;
}

.profile span {
    font-weight: 700;
    color: #365E32;
}

.profile-content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 2rem;
    background-color: transparent;
    border-radius: 0.5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0);
}


.projects {
    background-color: #E7F0DC;
    padding: 3rem;
    border-radius: 2rem;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    margin: 30rem auto 30rem;
    max-width: 800px;
    text-align: center;
}

.projects h2 {
    font-size: 6rem;
    font-weight: 700;
    margin-top: 3rem;
    margin-bottom: 2rem;
    color: #365E32;
}

.projects-content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 2rem;
    background-color: #E7F0DC;
    border-radius: 0.5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.projects .project-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    padding: 2rem;
}

.projects .project-content img {
    max-width: 100%;
    display: block;
    margin: 0 auto;
}


.contact {
    background-color: #E7F0DC;
    padding: 3rem;
    border-radius: 2rem;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    margin: 10rem auto 05rem;
    max-width: 800px;
    text-align: center;
}

.contact h2 {
    font-size: 6rem;
    font-weight: 700;
    margin-top: 3rem;
    margin-bottom: 2rem;
    color: #365E32;
}

.contact-content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 2rem;
    background-color: transparent;
    border-radius: 0.5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0);
    align-items: center;
}

.contact-item {
    margin: 1rem;
}

.contact-icon {
    width: 50px;
    height: 50px;
    display: block;
    margin: 0 auto;
    transition: transform 0.2s ease;
}

.contact-icon:hover {
    transform: scale(1.1);
}


@media (max-width: 768px) {
    .home-content h1 {
        font-size: 4rem;
    }

    .home-img img {
        width: 60vw; 
        pointer-events: none;
    }

    .profile h1,
    .projects h2,
    .contact h2 {
        font-size: 3.5rem;
    }

    .profile p,
    .projects-content,
    .contact-content {
        font-size: 1.4rem;
    }
}

@media (max-width: 480px) {
    .home-content h1 {
        font-size: 3rem;
    }

    .home-img img {
        width: 70vw;
        pointer-events: none;
    }

    .profile h1,
    .projects h2,
    .contact h2 {
        font-size: 3rem;
    }

    .profile p,
    .projects-content,
    .contact-content {
        font-size: 1.2rem;
    }
}
